<?php
namespace NeoAnimateBeta\NeoDraw; if (!defined("ABSPATH")) { die("neoWP direct access not allowed"); }





\NeoAnimateBeta\NeoGlobal\add_action_hook("enqueue_block_editor_assets", function () {
    if (!\NeoAnimateBeta\NeoGlobal\current_user_can__neo_draw()) { return; }
    draw_pagebuilder_init();
    \NeoAnimateBeta\NeoGlobal\enqueue_js("neo-draw--pb-gutenberg-block.js", dependencies: ["wp-hooks", "wp-blocks", "wp-element", "wp-block-editor", "wp-components"]);
});
\NeoAnimateBeta\NeoGlobal\add_action_hook("enqueue_block_assets", function () {
    if (!is_admin()) { return; }
    if (!\NeoAnimateBeta\NeoGlobal\current_user_can__neo_draw()) { return; }
    
    
    \NeoAnimateBeta\NeoGlobal\enqueue_css("neo-draw--pb-gutenberg-block.css");
});
